## ferret-vis 6.6.2

=== fer/Makefile ===
#
# Makefile (for the FERRET/fer code)
#
# August 11 1997
# Jonathan Callahan (with some help from Joe Sirott)
#
# 10/97 *kob*  - pltform specific files will reside in ppl directory and be 
#		 links to actual files in fer directory
# 7/98 *kob* - reworking prior to source code distribution. add in 
#	       fmt are as well so one make command compiles/links all
# 7/99 *sh* - corrected misbehavior of make debug -- make update was not called
# 8/99 *acm* - Add EFUOBJS and ef_utility to DIRS and LIBS so to include 
#              External Functions utility functions in the executable.
#              (see note in ef_utility/Makefile: Don't put these in a library.)
# 12/99 *sh* - changed "debug" to "alpha" as DEBUG_TITLE
#  3/00 *acm* - Add efi library External Functions, internally linked
#  5/00 *kob* - Added a "make update" to all entries in order to properly
#	        update the date for each make.  this was also necessary when
#		compiling Ferret initially in order to create 
#	        special/xmake_date_data.F  and special/xrevision_type_data.F
#  v5.4 10/01*kob* - removed explicit reference to libXpm.a  - move it instead 
#                  to system specific SYS_LIBS macro in platform specific files
#  v5.4 10/01 *kob* - add the removal of .f files - for linux
#  v5.41 4/02 *acm* - Add -g flag for debug compiles of C code.  
# v5.54  8/04 *acm* - Add target "profiling", to compile with -pg option.
# v6.1 beta 3/06 *acm* - For Beta release to GFDL, add (beta) as DEBUG_TITLE
# v6.1 release 3/06 *acm* - Remove (beta) as DEBUG_TITLE for official release
# 
# include platform specific macro definitions
#

include platform_specific_flags.mk.$(HOSTTYPE)

CFLAGS += -I../gui
#
# Macros
#

#*kob* 2/99 - set GUI_FAKES so that by default it is assumed no gui
#	      stuff is needed.  in order to allow the "make" command 
#	      by itself to work.

GUI_FAKES = special/gui_fakes.o

DIRS	= ccr ctx dat doo efi efn ef_utility fmt gnl gui ino mem  \
	ocn plt rpn special stk utl xeq

LIBS	= ccr ctx dat doo efi efn ef_utility fmt gnl gui ino mem \
	ocn plt rpn stk utl xeq

CLEANDIRS = $(DIRS)

DEPDIRS = ccr gui

FERLIBS = -L../lib -lxeq -lgnl -lferplt -lrpn -lstk -ldoo -locn \
	-lctx -lfmt -lino -lmem -lutl -ldat -lccr -lefi -lefn

PPLLIBS = -L../lib -lplt -lpll -lsym -lcmp -lour -lepi -lusr 

FERMAIN = ccr/fermain_c.o ccr/gui_init.o

FEROBJS_DFLT = $(LINUX_OBJS) \
	special/ferret_dispatch.o special/xmake_date_data.o special/fakes3.o \
	special/ferret_query_f.o  special/xrevision_type_data.o \
	special/xplatform_type_data.o

FEROBJS = ccr/save_arg_pointers.o $(FEROBJS_DFLT)

PPLOBJS =  ../ppl/tmapadds/*.o 

EFUOBJS = ef_utility/*.o

EFIOBJS = efi/*.o

EXECNAME = ferret_c

WHATGKS = xgks

LD = $(CC) 

EF_CMNS = common/EF_Util.cmn common/EF_Util.parm common/EF_mem_subsc.cmn

#
# Targets
#

all:	fmt_libraries fer_libraries ppl_libraries special_code ferret

# Dont seem to have all the static libraries we need for this.
ncdf4_static:	.FRC
	(cd ccr; $(CC) -c $(CFLAGS) gui_init.c)
	$(MAKE) update
	$(MAKE) "CFLAGS = $(CFLAGS) " "DEBUG="\
                "LD = g++" "LDFLAGS=-v --verbose -L/lib -L/usr/X11R6/lib64  -static" \
		"FFLAGS = $(FFLAGS)"  \
		all

ncdf4:	.FRC
	(cd ccr; $(CC) -c $(CFLAGS) gui_init.c)
	$(MAKE) update
	$(MAKE) "GUI_FAKES=special/gui_fakes.o" all

debug:	.FRC
	(cd ccr; $(CC) -c -g $(CFLAGS) gui_init.c)
	$(MAKE) update
	$(MAKE) "DEBUG=-g" "FFLAGS = $(FFLAGS) -Ddebug"  \
		"CFLAGS = -g $(CFLAGS)" \
		"GUI_FAKES=special/gui_fakes.o" all

gui_nodebug: .FRC
	(cd ccr; $(CC) -c $(CFLAGS) -DLINK_GUI_AS_MAIN gui_init.c)
	$(MAKE) update
	$(MAKE) "CFLAGS = $(CFLAGS) -DLINK_GUI_AS_MAIN" \
		"GUILIB = -L../lib -lgui ../list-2.1/liblist.a" \
		"MOVIELIB=" "EXECNAME=ferretgui_c" "GUI_FAKES=" \
		"GUI=GUI" all
gui_debug: .FRC
	(cd ccr; $(CC) -g -c $(CFLAGS) -DLINK_GUI_AS_MAIN gui_init.c)
	$(MAKE) update
	$(MAKE) "CFLAGS = -g $(CFLAGS) -DLINK_GUI_AS_MAIN" "DEBUG=-g "\
		"GUILIB = -L../lib -lgui ../list-2.1/liblist.a" \
		"MOVIELIB=" "EXECNAME=ferretgui_c" \
		"FFLAGS = $(FFLAGS) -Ddebug" "GUI=GUI" "DEBUG_TITLE=alpha" \
		"GUI_FAKES="  all

DODS_gui_debug: .FRC
	(cd ccr; $(CC) -g -c $(CFLAGS) -DLINK_GUI_AS_MAIN gui_init.c)
	$(MAKE) update
	$(MAKE) "CFLAGS = -g $(CFLAGS) -DLINK_GUI_AS_MAIN" "DEBUG=-g "\
		"EXECNAME=ferretdods_gui" \
		"GUILIB = -L../lib -lgui ../list-2.1/liblist.a" \
		"MOVIELIB="  \
                "LD = g++" "CDFLIB = $(DODS_LIBS)" \
		"FFLAGS = $(FFLAGS) -Ddebug" "GUI_FAKES=" \
		"DEBUG_TITLE=alpha" all

DODS_debug: .FRC
	(cd ccr; $(CC) -g -c $(CFLAGS) gui_init.c)
	$(MAKE) update
	$(MAKE) "CFLAGS = -g $(CFLAGS)" "DEBUG=-g "\
		"EXECNAME=ferretdods"  \
		"GUI_FAKES=special/gui_fakes.o"\
                "LD = g++" "CDFLIB = $(DODS_LIBS)" \
		"FFLAGS = $(FFLAGS) -Ddebug"  \
		"DEBUG_TITLE=alpha" all

DODS_gui_debug_valgrind: .FRC
	(cd ccr; $(CC) -O0 -g -c $(CFLAGS) -DLINK_GUI_AS_MAIN gui_init.c)
	$(MAKE) update
	$(MAKE) "CFLAGS = -O0 -g $(CFLAGS) -DLINK_GUI_AS_MAIN" "DEBUG=-g -O0"\
		"EXECNAME=ferretdods_gui" \
		"GUILIB = -L../lib -lgui ../list-2.1/liblist.a" \
		"MOVIELIB="  \
                "LD = g++" "CDFLIB = $(DODS_LIBS)" \
		"FFLAGS = $(FFLAGS) -O0  -Ddebug" "GUI_FAKES=" \
		"DEBUG_TITLE=alpha" all
                
profiling: .FRC
	(cd ccr; $(CC) -g $(PROF_FLAGS) -c $(CFLAGS) -DLINK_GUI_AS_MAIN gui_init.c)
	$(MAKE) update
	$(MAKE) "CFLAGS = -g $(PROF_FLAGS) $(CFLAGS) -DLINK_GUI_AS_MAIN" "DEBUG=-g "\
		"EXECNAME=ferretdods_gui" \
		"GUILIB = -L../lib -lgui ../list-2.1/liblist.a" \
		"MOVIELIB="  \
                "LD = g++ $(PROF_FLAGS) " "CDFLIB = $(DODS_LIBS)" \
		"FFLAGS = $(PROF_FLAGS) $(FFLAGS) -Ddebug" "GUI_FAKES=" \
		"DEBUG_TITLE=alpha" all

DODS_gui: .FRC
	(cd ccr; $(CC) -c $(CFLAGS) -DLINK_GUI_AS_MAIN gui_init.c)
	$(MAKE) update
	$(MAKE) "CFLAGS = $(CFLAGS) -DLINK_GUI_AS_MAIN" "DEBUG="\
		"EXECNAME=ferretdods_gui" \
		"GUILIB = -L../lib -lgui ../list-2.1/liblist.a" \
		"MOVIELIB="  \
                "LD = g++" "CDFLIB = $(DODS_LIBS)" \
		"FFLAGS = $(FFLAGS)" "GUI_FAKES=" \
		"DEBUG_TITLE=alpha" all

DODS_only: .FRC
	(cd ccr; $(CC) -c $(CFLAGS) gui_init.c)
	$(MAKE) update
	$(MAKE) "CFLAGS = $(CFLAGS)" "DEBUG="\
		"EXECNAME=ferretdods"  \
		"GUI_FAKES=special/gui_fakes.o"\
                "LD = g++" "CDFLIB = $(DODS_LIBS)" \
		"FFLAGS = $(FFLAGS) -Ddebug"  \
		"DEBUG_TITLE=alpha" all

DODS_gui_static: .FRC
	(cd ccr; $(CC) -c $(CFLAGS) -DLINK_GUI_AS_MAIN gui_init.c)
	$(MAKE) update
	$(MAKE) "CFLAGS = $(CFLAGS) -DLINK_GUI_AS_MAIN" "DEBUG="\
		"EXECNAME=ferretdods_gui" \
		"GUILIB = -L../lib -lgui ../list-2.1/liblist.a" \
		"MOVIELIB="  \
                "LD = g++" "LDFLAGS=-v --verbose -L/lib -L/usr/X11R6/lib64  -static" \
                "CDFLIB = $(DODS_LIBS)" \
		"FFLAGS = $(FFLAGS)" "GUI_FAKES=" \
		all

fortran: .FRC
	$(MAKE) "FERMAIN=special/fermain_fortran.o" "EXECNAME=ferret_fortran" all


ferret:	
	- mv $(EXECNAME) $(EXECNAME)_pre_`date +'%d%h'|tr '[A-Z]' '[a-z]'`
	- $(LD) $(LDFLAGS) -o $(EXECNAME) \
		$(FERMAIN) \
		$(FEROBJS) \
		$(GUI_FAKES) \
		$(XTRA_OBJ) \
		$(GUILIB) \
		$(GKSOBJ) \
		$(PPLOBJS) \
		$(EFUOBJS) \
		$(EFIOBJS) \
		$(BDEAD) \
		$(FERLIBS) \
		$(PPLLIBS) \
		$(MOVIELIB) \
		$(TMLIB) \
		$(READLINELIB) \
		$(TERMCAPLIB) \
		$(CDFLIB) \
		$(HDFLIB) \
		$(GKSLIB) \
		$(SYSLIB) \
		$(DODS_SYSLIB)
	chmod +x $(EXECNAME)

update: .FRC
	${MAKE} update_date DATE=`/bin/date +%D`
	rm -f special/xrevision_type_data.[Ffo]
	sed -e 's&mmmmmmmm&($(DEBUG_TITLE)/$(GUI))&' -e 's&(/&(&' -e 's&/)&)&' < special/xrevision_type_data.template > special/xrevision_type_data.F 
	rm -f special/xplatform_type_data.[Ffo]
	sed -e 's&mmmmmmmm&$(PLATFORM)&' -e 's&(/&(&' -e 's&/)&)&' < special/xplatform_type_data.template > special/xplatform_type_data.F 
	(cd special;make)

update_date:
	rm -f special/xmake_date_data.[Ffo]
	sed "s&xxxxxxxx&$(DATE)&" <special/xmake_date_data.template >special/xmake_date_data.F


libraries: ppl_libraries fer_libraries


fmt_libraries: .FRC
	(cd ../fmt/src ; \
	$(MAKE) "CC=$(CC)" "CFLAGS=$(DEBUG) $(CFLAGS)" \
		"FFLAGS=$(DEBUG) $(FFLAGS)");

fer_libraries: .FRC
	for i in $(LIBS) ; \
        do \
        (cd $$i ; echo "making" $@ "in $$i..."; \
        $(MAKE) "MFLAGS=$(MFLAGS)" "CC=$(CC)" "CFLAGS=$(DEBUG) $(CFLAGS) $(GKS_INCLUDES)" \
                "FFLAGS=$(DEBUG) $(FFLAGS)" "PPLUS_FFLAGS=$(PPLUS_FFLAGS)"); \
        done


ppl_libraries: .FRC
	(cd ../ppl ; $(MAKE) "PPLUS_FFLAGS=$(DEBUG) $(PPLUS_FFLAGS) $(GKS_INCLUDES)" \
                              "CFLAGS=$(DEBUG) $(CFLAGS) $(GKS_INCLUDES)" all);


special_code: .FRC
	(cd special ; $(MAKE) "FFLAGS=$(DEBUG) $(FFLAGS)" all);


clean: fmt_clean ppl_clean fer_clean 
	(cd ../lib ; rm -f *.a *.so);

ppl_clean: .FRC
	(cd ../ppl ; $(MAKE) clean);

fer_clean: .FRC
	for i in $(CLEANDIRS) ; \
        do \
        (cd $$i ; echo "making" $@ "in $$i..."; rm -f *.f; $(MAKE) clean); \
        done

fmt_clean: .FRC
	(cd ../fmt/src; rm -f *.[fo])

depend: .FRC
	(cd ../ppl ; $(MAKE) depend);
	for i in $(DEPDIRS) ; \
        do \
        (cd $$i ; echo "making" $@ "in $$i..."; \
        $(MAKE) "MFLAGS=$(MFLAGS)" "CC=$(CC)" "CFLAGS=$(CFLAGS)" \
                "FFLAGS=$(FFLAGS)" "PPLUS_FFLAGS=$(PPLUS_FFLAGS)" $@); \
        done




.FRC:

#
# End of Makefile
#
# DO NOT DELETE THIS LINE -- make depend depends on it.

=== gksm2ps/Makefile ===
#
# Makefile for gksm2ps with xpreview *jd* 9.15.95
#
# Modified for CVS directory structure *jd* 3.26.99


all_systems:
	${MAKE} $(HOSTTYPE)

decstation:
	${MAKE} gksm2ps \
		CC=cc \
		CFLAGS="-I$(TMAP_LOCAL)/src/xgks/port -I$(TMAP_LOCAL)/src/xgks/src/lib -I$(TMAP_LOCAL)/src/xgks/src/lib/gksm $(G)" \
		LDFLAGS= \
		GKLIB="-L$(TMAP_LOCAL)/lib -lxgks" \
		LIB="-lX11 -lm"
sun4:
	${MAKE} gksm2ps \
		CC=gcc \
		CFLAGS="-I$(TMAP_LOCAL)/src/xgks/port -I$(TMAP_LOCAL)/src/xgks/src/lib -I$(TMAP_LOCAL)/src/xgks/src/lib/gksm $(G)" \
		LDFLAGS= \
		GKLIB="-L$(TMAP_LOCAL)/lib -lxgks" \
		LIB="-lX11 -lm"
alpha:	
	${MAKE} gksm2ps \
		CC=cc \
		CFLAGS="-I$(TMAP_LOCAL)/src/xgks/port -I$(TMAP_LOCAL)/src/xgks/src/lib -I$(TMAP_LOCAL)/src/xgks/src/lib/gksm $(G)" \
		LDFLAGS="-non_shared" \
		GKLIB="-L$(TMAP_LOCAL)/lib -lxgks$(G) " \
		LIB="-lX11 -lm -ldnet_stub"

solaris:	
	${MAKE} gksm2ps \
		CC=cc \
		CFLAGS="-I$(TMAP_LOCAL)/src/xgks/port -I$(TMAP_LOCAL)/src/xgks/src/lib -I/usr/openwin/share/include -I$(TMAP_LOCAL)/src/xgks/src/lib/gksm $(G)" \
		LDFLAGS="-z muldefs" \
		GKLIB="../xgks/src/lib/libxgks.a" \
		LIB="-lnsl -L/usr/openwin/lib -lX11 -lm"
solaris8:	
	${MAKE} gksm2ps \
		CC=cc \
		CFLAGS="-I../xgks/port -I../xgks/src/lib -I/usr/openwin/share/include -I../xgks/src/lib/gksm $(G)" \
		LDFLAGS="-z muldefs" \
		GKLIB="../xgks/src/lib/libxgks.a" \
		LIB="-lnsl -L/usr/openwin/lib -lX11 -lm"
iris4d:
	${MAKE} gksm2ps \
		CC=cc \
		CFLAGS="-I$(TMAP_LOCAL)/src/xgks/port -I$(TMAP_LOCAL)/src/xgks/src/lib -I$(TMAP_LOCAL)/src/xgks/src/lib/gksm $(G)" \
		LDFLAGS= \
		GKLIB="-L$(TMAP_LOCAL)/lib -lxgks" \
		LIB="-lX11 -lm"

aix:
	${MAKE} gksm2ps \
		CC=cc \
		CFLAGS="-I$(TMAP_LOCAL)/src/xgks/port -I$(TMAP_LOCAL)/src/xgks/src/lib -I$(TMAP_LOCAL)/src/xgks/src/lib/gksm $(G)" \
		LDFLAGS= \
		GKLIB="-L$(TMAP_LOCAL)/lib -lxgks" \
		LIB="-lX11 -lm"

hp:
	${MAKE} gksm2ps \
		CC=cc \
		CFLAGS=" -I$(TMAP_LOCAL)/src/xgks/port -I$(TMAP_LOCAL)/src/xgks/src/lib -I/usr/include/X11R5 -I$(TMAP_LOCAL)/src/xgks/src/lib/gksm $(G)" \
		LDFLAGS= \
		GKLIB="-L$(TMAP_LOCAL)/lib -lxgks" \
		LIB="/usr/lib/X11R5/libX11.a -lm"

i386-linux:	
	${MAKE} gksm2ps \
		CC=gcc \
		CFLAGS="-g -I/usr/lib/gcc-lib/i386-redhat-linux/3.2.3/include -I../xgks/port -I../xgks/src/lib -I../xgks/src/lib/gksm $(G)" \
		LDFLAGS= \
		GKLIB="../xgks/src/lib/libxgks.a" \
		LIB="-L/usr/X11R6/lib -lX11 -lm"

i486-linux:	
	${MAKE} gksm2ps \
		CC=gcc \
		CFLAGS="-g -I/usr/lib/gcc-lib/i386-redhat-linux/3.2.3/include -I../xgks/port -I../xgks/src/lib -I../xgks/src/lib/gksm $(G)" \
		LDFLAGS= \
		GKLIB="../xgks/src/lib/libxgks.a" \
		LIB="-L/usr/X11R6/lib -lX11 -lm"

i586:
	${MAKE} gksm2ps \
		CC=gcc \
		CFLAGS="-I/usr/lib/gcc-lib/i686-pc-cygwin/2.95.3-5/include/ -I../xgks/port -I../xgks/src/lib -I../xgks/src/lib/gksm $(G)" \
		LDFLAGS= \
		GKLIB="../xgks/src/lib/libxgks.a" \
		LIB="-L/usr/X11R6.4/lib -lX11 -lm"

x86_64-linux:	
	${MAKE} gksm2ps \
		CC=gcc \
		CFLAGS="-g -I/usr/lib/gcc/x86_64-redhat-linux/3.4.3/include -I../xgks/port -I../xgks/src/lib -I../xgks/src/lib/gksm $(G)" \
		LDFLAGS= \
		GKLIB="../xgks/src/lib/libxgks.a" \
		LIB="-L/usr/X11R6/lib64 -lX11 -lm"
ia64-sles10:
        ${MAKE} gksm2ps \
                CC=gcc \
                CCFLAGS="-I/net2/rsz/ia64/gcc/gcc-3.4.6/includ -I../xgks/port -I../xgks/src/lib -I../xgks/src/lib/gksm
 $(G)" \
                LDFLAGS= \
                GKLIB="../xgks/src/lib/libxgks.a" \
                LIB="-L/usr/X11R6/lib -lX11 -lm" 

gksm2ps:	gksm2ps.o xpreview.o \
	resize_xgks_window.o set_background.o gksm.o batch_graphics.o
	- $(CC) $(CFLAGS) $(LDFLAGS) -o gksm2ps gksm2ps.o xpreview.o \
	 resize_xgks_window.o set_background.o gksm.o batch_graphics.o \
	../ppl/tmapadds/ws_line_bundle.o \
	../ppl/tmapadds/restore_saved_line_colors.o \
	../ppl/tmapadds/query_xgks_wkstn.o \
	$(GKLIB) $(LIB)
	chmod +x gksm2ps


clean:
	rm *.o gksm2ps

=== list-2.1/Makefile ===
# Makefile for generic list package.
#
# Last edited: Tue Jul 28 15:40:05 1992 by bcs (Bradley C. Spatz) on wasp
#
# Copyright (C) 1992 Bradley C. Spatz, bcs@ufl.edu
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
#
#CC	= /local/bin/gcc
#CFLAGS	= $(DEFINES) -fstrength-reduce -finline-functions
CFLAGS	= $(DEFINES)
#DEFINES = -DUSE_MACROS
LIBS	= -L. -llist
#LIBS	= -L . -llist   # Use this for HP-UX; great loader guys!
CPP	= cpp -E -P -C
MANDIR	= /home/e2/tmap/local/solaris/man
LIBDIR	= /home/e2/tmap/local/solaris/lib
INCDIR	= /home/e2/tmap/local/solaris/include

#add macro for ranlib 4/96 *kob* - ranlib doesn't exist on solaris
RANLIB = ls

# We specify some goofy dependencies between the man pages and the source,
# because the man page reflects whether USE_MACROS was specified.  Thus,
# the dependencies that follow insure the library and the man page
# are always in sync.  A similar argument goes for the header file and it's
# prototype.  To be sure, you can always make clean and make.

all:		liblist.a 
		(cd examples; make)

liblist.a:	list.o
		ar rc liblist.a list.o
		$(RANLIB) liblist.a

list.o:		list.h list.3 Makefile

list.h:		list.h.proto Makefile
		$(CPP) $(DEFINES) list.h.proto > list.h

list.3:		list.man list.c Makefile
		$(CPP) $(DEFINES) list.man > list.3

queue.3:	queue.man list.c Makefile
		$(CPP) $(DEFINES) queue.man > queue.3

stack.3:	stack.man list.c Makefile
		$(CPP) $(DEFINES) stack.man > stack.3

install:
		install -c liblist.a $(LIBDIR)
		$(RANLIB) $(LIBDIR)/liblist.a
		install -c list.h $(INCDIR)
		install -c queue.h $(INCDIR)
		install -c stack.h $(INCDIR)
		(cd examples/cache; make install)

install.man:
		install -c list.3 $(MANDIR)/man3
		install -c queue.3 $(MANDIR)/man3
		install -c stack.3 $(MANDIR)/man3

clean:
		rm -f *.o *.a list.h *.3 core
		(cd examples; make clean)

=== ppl/Makefile ===
#
# Makefile (for the $(FER_LINK_DIR)/ppl code)
#
# July 28 1997
# Jonathan Callahan (with some help from Joe Sirott)
#
# 10/97 *kob*  - pltform specific files will reside in ppl directory and be 
#		 links to actual files in fer directory
# v5.4 *kob* - add the removal of .f files - for linux

#
# include platform specific definitions of:
#       CC, FC, RANLIB, CFLAGS, FFLAGS, PPLUS_FFLAGS
#

include platform_specific_flags.mk.$(HOSTTYPE)


#
# Macros
#

DIRS	= tmapadds complot ourlib plot \
	plotlib pplepic pplp_only pplusr symlib

LIBS	= complot ourlib plot plotlib pplepic \
	pplusr symlib

CLEANDIRS = $(DIRS)

DEPDIRS = addsxgks modsxgks pplp_only


#
# Targets
#

all:
	for i in $(DIRS) ; \
        do \
        (cd $$i ; echo "making" $@ "in $$i..."; \
        $(MAKE) "MFLAGS=$(MFLAGS)" "CC=$(CC)" "CFLAGS=$(CFLAGS)" \
                "FFLAGS=$(PPLUS_FFLAGS)" "PPLUS_FFLAGS=$(PPLUS_FFLAGS)"); \
        done


libraries:
	for i in $(LIBS) ; \
        do \
        (cd $$i ; echo "making" $@ "in $$i..."; \
        $(MAKE) "MFLAGS=$(MFLAGS)" "CC=$(CC)" "CFLAGS=$(CFLAGS)" \
                "FFLAGS=$(PPLUS_FFLAGS)" "PPLUS_FFLAGS=$(PPLUS_FFLAGS)"); \
        done


clean:
	for i in $(CLEANDIRS) ; \
        do \
        (cd $$i ; echo "making" $@ "in $$i..."; rm -f *.f; $(MAKE) clean); \
        done

depend:
	for i in $(DEPDIRS) ; \
        do \
        (cd $$i ; echo "making" $@ "in $$i..."; \
        $(MAKE) "MFLAGS=$(MFLAGS)" "CC=$(CC)" "CFLAGS=$(CFLAGS)" \
                "FFLAGS=$(PPLUS_FFLAGS)" "PPLUS_FFLAGS=$(PPLUS_FFLAGS)" $@); \
        done


#
# End of Makefile
#
# DO NOT DELETE THIS LINE -- make depend depends on it.

=== external_functions/fft/Makefile ===
#
# Makefile for Ferret External Functions
#
# January 20 1998
# Jonathan Callahan
# Ansley Manke: compile subroutines separately w/ fewer flags. 
#
#  15-Nov-1999 Ansley Manke  
#  remove refs to ef_utility/*.o  (now in ferret executable)
#
# 2/2001  debug macros
# 1/2002  need $(F77) in .F.so rule
#         and compile ffta_sample, fftp_sample functions
#
# include platform specific macro definitions
#

include ../ef_utility/platform_specific_flags.mk.$(HOSTTYPE)
include fft_platform_specific_flags.mk.$(HOSTTYPE)

#
# Macros
#

.SUFFIXES: .so

SUB_OBJS = fftinv_subs.o

#
# Rules
#

.F.so:
	$(F77)  $(FFLAGS)  $<
	$(LD) $(LD_DYN_FLAGS)   $(SUB_OBJS) $*.o -o $*.so 

#
# Targets
#

# all:	ferret_cmn fftinv_subs.o fft_im.so fft_re.so fft_inverse.so lsl_lowpass.so fft_amp.so fft_phas.so

all:	ferret_cmn fftinv_subs.o fft_amp.so fft_phas.so ffta_sample.so

#all:	ferret_cmn fftinv_subs.o 

ferret_cmn:
	ln -s ../ef_utility/ferret_cmn ferret_cmn

debug:
	$(MAKE) "FFLAGS = $(FFLAGS) $(FFLAGS_DEBUG)" "CFLAGS = $(CFLAGS) $(CFLAGS_DEBUG)" all

install:
	cp *.so $(FER_LOCAL_EXTFCNS)

clean:
	-rm -f *.o *.so core a.out temp.* efn ferret_cmn

#
# End of Makefile
#

=== external_functions/gridding/Makefile ===
#
# Makefile for Ferret External Functions
#
# January 20 1998
# Jonathan Callahan
#
#  15-Nov-1999 Ansley Manke  
#  remove refs to ef_utility/*.o  (now in ferret executable)
#
# ACM 2/2001  debug macros
#
#  include platform specific macro definitions
#

include ../ef_utility/platform_specific_flags.mk.$(HOSTTYPE)
 
#
# Macros
#

.SUFFIXES: .so
#SUB_OBJS = nobs.o

#
# Rules
#


.F.so:
	$(F77) $(FFLAGS) -g -c  $<
	$(LD) $(LD_DYN_FLAGS) $(SYSLIBS) $*.o -o $*.so
 
.c.o:
	cc ${CFLAGS} -c $<

.f.o:
	$(F77) $(FFLAGS) $<

#
# Targets
#
#all:    ferret_cmn scatter2gridgauss_xy.so scatter2gridgauss_xz.so scatter2gridgauss_yz.so scatter2gridlaplace_xy.so scatter2gridlaplace_xz.so scatter2gridlaplace_yz.so 

# all:    ferret_cmn ave_scat2grid_t.so scat2grid_t.so
# all:    ferret_cmn nobs.o index_to_grid.so scatgrid_nobs_xy.so scatgrid_nobs_xz.so scatgrid_nobs_xt.so scatgrid_nobs_yz.so scatgrid_nobs_yt.so scatgrid_nobs_zt.so scat2grid_bin_xy.so

all:	ferret_cmn tracks2grid_ave_xyt.so scat2grid_nobs_xt.so scat2grid_nobs_xz.so scat2grid_nobs_yt.so scat2grid_nobs_yz.so scat2grid_nobs_zt.so

debug:
	$(MAKE) "FFLAGS = $(FFLAGS) -g -Ddebug" "CFLAGS = $(CFLAGS) -g -Ddebug"  all

ferret_cmn:
	ln -s ../ef_utility/ferret_cmn ferret_cmn

install:
	cp *.so $(FER_LOCAL_EXTFCNS)

clean:
	-rm -f *.o *.so *.f core a.out temp.* ferret_cmn

#
# End of Makefile
#

=== fer/ccr/Makefile ===
#
# Makefile (for the FERRET/fer/dat code)
#
# August 11 1997
# Jonathan Callahan (with some help from Joe Sirott)
# 10/97 *kob*  - pltform specific files will reside in ppl directory and be 
#		 links to actual files in fer directory
#

#
# include platform specific definitions of:
#       CC, FC, RANLIB, CFLAGS, FFLAGS, PPLUS_FFLAGS
#

include ../platform_specific_flags.mk.$(HOSTTYPE)
include ./SOURCE_FILES
include ./LIB_NAME

#CFLAGS += -I../gui
#
# Macros
#

#OBJS = $(SRCS_F:.F=.o)
OBJS = $(SRCS_C:.c=.o) $(SRCS_F:.F=.o)


#
# Targets
#

all:	$(LIB)


$(LIB): $(OBJS)
	$(AR) $(ARFLAGS) $@ $(OBJS)
	$(RANLIB) $@

#
# Special case for Perl interpreter
#
#perl_read.o : perl_read.c
#	cc -g -c perl_read.c `perl -MExtUtils::Embed -e ccopts`

clean:
	rm -f core *.o *.a *.f

#
# End of Makefile
#

=== fer/ef_utility/Makefile ===
#
# Makefile (for the FERRET/fer/ef_utility code)
#
# August 11 1997
# Jonathan Callahan (with some help from Joe Sirott)
#
# Ansley Manke 11/99 NOTE:
#    We DO NOT want to make the ef_utility/*.o files into a libaray.
#    The ferret Makefile is to link these object files in the executable.
#    Because they are only called by external functions they are not seen 
#    as unresolved references and therefore not searched for if they are in 
#    a library.

#
# include platform specific definitions of:
#       CC, FC, RANLIB, CFLAGS, FFLAGS, PPLUS_FFLAGS
#

include ../platform_specific_flags.mk.$(HOSTTYPE)
include ./SOURCE_FILES
include ./SOURCE_FILES_C

#
# Macros
#

OBJS = $(SRCS_C:.c=.o) $(SRCS_F:.F=.o)

#
# Targets
#

all:	ferret_cmn tmap_format $(OBJS)

ferret_cmn:
	ln -s ../common ./ferret_cmn

tmap_format:
	ln -s ../../fmt/cmn ./tmap_format

clean:
	rm -f core *.o *.a *.f ferret_cmn tmap_format

#
# End of Makefile
#

=== fer/efi/Makefile ===
#
# Makefile (for FERRET/fer/efi statically linked EF code)
#
# Feb 28, 2000  -- based on other TMAP external functions makefiles
# Ansley Manke
# Jonathan Callahan (with some help from Joe Sirott)
# 
# *acm* 3/23/2000 link  ../common to ferret_cmn  rather than using the
#       link in ef_utility (which may not be present when this is compiled.)
#
#
#  Note that these functions must be decleared in ../ccr/EF_InternalUtil.c
#  Run the perl script in this directory int_dlsym.pl ./ > intcode.c
#  put the resulting lines in three places in EF_InternalUtil.c as
#  noted in the comments at the start of that file.

#
# include platform specific definitions of:
#       CC, FC, RANLIB, CFLAGS, FFLAGS, PPLUS_FFLAGS
#

include ../platform_specific_flags.mk.$(HOSTTYPE)
include ./SOURCE_FILES
include ./LIB_NAME

#INCLUDES += -Iferret_cmn

#
# Macros
#



OBJS = $(SRCS_C:.c=.o) $(SRCS_F:.F=.o)


#
# Targets
#

all:	ferret_cmn $(LIB)

$(LIB): $(OBJS) 
	$(AR) $(ARFLAGS) $@ $(OBJS) 
	$(RANLIB) $@

ferret_cmn:
	ln -s ../common ferret_cmn

clean:
	rm -f core *.o *.a *.f ferret_cmn

#
# End of Makefile
#

=== fer/efn/Makefile ===
#
# Makefile (for the FERRET/fer/efn code)
#
# August 11 1997
# Jonathan Callahan (with some help from Joe Sirott)
# 10/97 *kob*  - pltform specific files will reside in ppl directory and be 
#		 links to actual files in fer directory
#

#
# include platform specific definitions of:
#       CC, FC, RANLIB, CFLAGS, FFLAGS, PPLUS_FFLAGS
#

include ../platform_specific_flags.mk.$(HOSTTYPE)
include ./SOURCE_FILES
include ./LIB_NAME

#
# Macros
#

OBJS = $(SRCS_F:.F=.o)


#
# Targets
#

all:	$(LIB)


$(LIB): $(OBJS)
	$(AR) $(ARFLAGS) $@ $(OBJS)
	$(RANLIB) $@


clean:
	rm -f core *.o *.a *.f

#
# End of Makefile
#

=== fer/gui/Makefile ===
#
# Makefile (for the FERRET/fer/gui code)
#
# August 11 1997
# Jonathan Callahan (with some help from Joe Sirott)
#

#
# include platform specific definitions of:
#       CC, FC, RANLIB, CFLAGS, FFLAGS, PPLUS_FFLAGS
#

include ../platform_specific_flags.mk.$(HOSTTYPE)


#
# non-default suffix rules
#
 
.c.o:
	$(CC) $(CFLAGS) $(GUI_INCLUDES) -c $<

#
# Macros
#

SRCS_F = 

SRCS_C = \
    JC_CallbackUtility.c JC_CommandGen.c JC_InterInterface.c \
	CommandHelp.c CustomLevels.c JC_DefineVariable.c JC_EditDefinedVar.c \
	ErrorLog.c FerretMainWd.c ListManager.c MacroManager.c \
	Open_Save_ctl.c Open_Save_dset.c Open_Save_err.c Open_Save_list.c \
	Open_Save_grd.c Open_Save_jnl.c Open_jnl.c OpenFile.c \
	OpenGO.c OpenGOFile.c PixmapStuff.c PlotOptions.c \
	PrintSetup.c JC_SelectRegridding.c SaveDataObject.c Splash.c \
	JC_Synchronize.c JC_Utility.c Utility.c Viewports.c \
	gui_dummies.c UxXt.c UxMethod.c

OBJS = $(SRCS_C:.c=.o)

LIB    = ../../lib/libgui.a


#
# Targets
#

all:	$(LIB)


$(LIB): $(OBJS)
	$(AR) $(ARFLAGS) $@ $(OBJS)
	$(RANLIB) $@


depend:
	makedepend $(CFLAGS) $(GUI_INCLUDES) $(SRCS_C)
 

clean:
	rm -f core *.o *.a


#
# End of Makefile
#
# DO NOT DELETE
# DO NOT DELETE THIS LINE -- make depend depends on it.

=== fer/plt/Makefile ===
#
# Makefile (for the FERRET/fer/dat code)
#
# August 11 1997
# Jonathan Callahan (with some help from Joe Sirott)
# 10/97 *kob*  - pltform specific files will reside in ppl directory and be 
#		 links to actual files in fer directory
#

#
# include platform specific definitions of:
#       CC, FC, RANLIB, CFLAGS, FFLAGS, PPLUS_FFLAGS
#

include ../platform_specific_flags.mk.$(HOSTTYPE)
include ./SOURCE_FILES
include ./LIB_NAME

#
# Macros
#

#OBJS = $(SRCS_F:.F=.o)
OBJS = $(SRCS_C:.c=.o) $(SRCS_F:.F=.o)


#
# Targets
#

all:	$(LIB)


$(LIB): $(OBJS)
	$(AR) $(ARFLAGS) $@ $(OBJS)
	$(RANLIB) $@


clean:
	rm -f core *.o *.a *.f

#
# End of Makefile
#

=== debian/changelog ===
ferret-vis (6.6.2-3) unstable; urgency=low

  * Build-Depend on libmotif-dev, not lesstif2-dev.
    Closes: #714752, #7146755. 
  * clear lintian warning: call make clean conditionally.

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 05 Jul 2013 22:54:10 +0100

ferret-vis (6.6.2-2) unstable; urgency=low

  * Add explicit dependency on libxt-dev, for openmotif. Closes: #707211. 
  * Move debhelper depends to (>= 9), Standards-Version to 3.9.4
  * Add depends on misc-depends for ferret-datasets.

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 08 May 2013 10:32:50 +0100

ferret-vis (6.6.2-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Avoid building against gfortran-4.5, since #631204 is now fixed.
    (Closes: #654735)
    + debian/control: Drop Build-Depends on gfortran-4.5.
    + debian/README.Debian: Remove.
    + debian/platform_specific_flags.mk.debian: Set FC and F77 to gfortran.

 -- Tim Retout <diocles@debian.org>  Tue, 05 Jun 2012 15:51:54 +0100

ferret-vis (6.6.2-1) unstable; urgency=low

  * Initial release. (Closes: #587422)

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 24 Jun 2010 20:42:17 +0100

=== debian/control ===
Source: ferret-vis
Section: utils
Priority: extra
Maintainer: Alastair McKinstry <mckinstry@debian.org>
Build-Depends: debhelper (>= 9), libreadline-dev, libcurl4-openssl-dev | libcurl-dev, libxgks-dev, libncurses-dev, libmotif-dev, gfortran, libnetcdf-dev, libxmu-headers, csh, libxpm-dev, libxt-dev
Standards-Version: 3.9.4
Homepage: http://www.ferret.noaa.gov/

Package: ferret-vis
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},  tcsh | csh | c-shell
Recommends: ferret-datasets
Description: Interactive data visualization and analysis environment,
 Ferret is an interactive computer visualization and analysis environment
 designed to meet the needs of oceanographers and meteorologists analyzing 
 large and complex gridded data sets. It can transparently access extensive
 remote Internet data bases using OPeNDAP (formerly known as DODS)
 .
 Ferret has a Mathematica-like flexibility, geophysical formatting, 
 "intelligent" connection to its data base, memory management for very large 
 calculations, and symmetrical processing in 4 dimensions. It can work on both
 gridded and non-gridded datasets.

Package: ferret-datasets
Architecture: all
Depends: ferret-vis, ${misc:Depends}
Description: Datasets for use with Ferret Visualisation and analysis suite
 These datasets contain reference climatologies and grids for use with ferret.
 They include:
  * etopo120            relief of the earth's surface at 120-minute resolution
  * etopo60             relief of the earth's surface at 60-minute resolution
  * levitus_climatology subset of the Climatological Atlas of the World Oceans 
                        by Sydney Levitus (Note: the updated World Ocean Atlas,
                        1994, is also available with Ferret)
  * coads_climatology   12-month climatology derived from 1946–1989 of the 
                        Comprehensive Ocean/Atmosphere Data Set
  * monthly_navy_winds  monthly-averaged Naval Fleet Numerical Oceanography 
                        Center global marine winds (1982–1990)
  * esku_heat_budget    Esbensen-Kushnir 4×5 degree monthly climatology of the
                        global ocean heat budget (25 variables)

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1


# magic debhelper rule
%:
	dh $@

FER_EXT:=`pwd`/debian/ferret-vis/usr/lib/ferret/external_functions

override_dh_auto_build:
	ln -sf ../debian/platform_specific_flags.mk.debian ppl
	ln -sf ../debian/platform_specific_flags.mk.debian fer
	ln -sf ../../debian/ef_platform_specific_flags.mk.debian external_functions/ef_utility/platform_specific_flags.mk.debian
	ln -sf ../../debian/fft_platform_specific_flags.mk.debian external_functions/fft/fft_platform_specific_flags.mk.debian
	ln -sf ../../debian/v5d_platform_specific_flags.mk.debian external_functions/v5d/v5d_platform_specific_flags.mk.debian
	mkdir -p lib
	$(MAKE) -C list-2.1
	$(MAKE) -C fer HOSTTYPE=debian update all
	-$(MAKE) -C external_functions HOSTTYPE=debian
	$(MAKE) -C gksm2ps debian

override_dh_install:
	dh_installdirs
	-$(MAKE) -C external_functions install HOSTTYPE=debian FER_LOCAL_EXTFCNS=$(FER_EXT)
	dh_install

override_dh_test:
	(cd bench && ./run_all )

override_dh_auto_clean:
	# use system xpm.h, not supplied ones
	rm -f fer/gui/xpm*.h
	find . -type l  -exec rm {} \;
	find . -name '*.o' -exec rm {} \;
	find . -name '*.so' -exec rm {} \;
	find external_functions -type l -exec rm {} \;
	[ ! -f list-2.1/Makefie ] || $(MAKE) -C list-2.1 clean
	[ ! -f gksm2ps/Makefile ] || $(MAKE) -C gksm2ps clean
	[ ! -f fer/platform_specific_flags.mk.debian ]  || $(MAKE) -C fer clean HOSTTYPE=debian 
	rm -rf lib gksm2ps/gksm2ps fer/ferret_c*

## ferret-vis 6.9

=== external_functions/Makefile ===
#
# Top level Makefile for Ferret External Functions
#
# September 09 1998
# Jonathan Callahan
#
# ACM 1/2002  add fft directory back in: lsl_lowpass, inverse fcn.
# ACM 4/2006  link all functions that are distributed statically; the
#             directories below compile only example functions, functions
#             under development, or used locally by PMEL/TMAP (e.g.romea fcns)
 

#
# Macro Definitions
#

DIRS = contributed examples fft statistics
MOREDIRS = contributed cmprsi_by decimate examples extrema featurecollections gridding fft las statistics tax_times
# DIRS = contributed examples fft sort cflib closest_in_list hinterp featurecollections romea odd_formats cat statistics tax_times gridding zaxr 

#
# Targets
#

all:
	for i in $(DIRS); \
		do \
			(cd $$i; echo "making" $@ "in $$i..."; \
			$(MAKE) );\
		done
more:
	for i in $(MOREDIRS); \
		do \
			(cd $$i; echo "making" $@ "in $$i..."; \
			$(MAKE) );\
		done

debug:
	for i in $(DIRS); \
		do \
			(cd $$i; echo "making debug" $@ "in $$i..."; \
			$(MAKE) debug);\
		done

install:
	for i in $(DIRS); \
		do \
			(cd $$i; echo "installing" $@ "in $$i..."; \
			$(MAKE) install );\
		done

clean:
	rm -f ext_func/*
	for i in $(MOREDIRS); \
		do \
			(cd $$i; echo "cleaning" $@ "in $$i..."; \
			$(MAKE) clean);\
		done

#
# End of Makefile
#

=== gksm2ps/Makefile ===
#
# Makefile for gksm2ps with xpreview *jd* 9.15.95
#
# Modified for CVS directory structure *jd* 3.26.99

include ../site_specific.mk

all:
	${MAKE} $(BUILDTYPE)

solaris8:	
	${MAKE} gksm2ps \
		CC=cc \
		CFLAGS="-I../xgks/port -I../xgks/src/lib -I/usr/openwin/share/include -I../xgks/src/lib/gksm" \
		LDFLAGS="-z muldefs" \
		GKLIB="../xgks/src/lib/libxgks.a" \
		LIB="-lnsl -L/usr/openwin/lib -lX11 -lm"
solaris10:	
	${MAKE} gksm2ps \
		CC=cc \
		CFLAGS="-I../xgks/port -I../xgks/src/lib -I/usr/openwin/share/include -I../xgks/src/lib/gksm" \
		LDFLAGS="-z muldefs" \
		GKLIB="../xgks/src/lib/libxgks.a" \
		LIB="-lnsl -L/usr/openwin/lib -lX11 -lm"

i386-linux:	
	${MAKE} gksm2ps \
		CC=gcc \
		CFLAGS="-m32 -I../xgks/port -I../xgks/src/lib -I../xgks/src/lib/gksm" \
		LDFLAGS= \
		GKLIB="../xgks/src/lib/libxgks.a" \
		LIB="-lX11 -lm"

i386-apple-darwin:
	${MAKE} gksm2ps \
		CC=gcc \
		CFLAGS="-I../xgks/port -I../xgks/src/lib -I/usr/openwin/share/include -I../xgks/src/lib/gksm" \
		LDFLAGS= \
		GKLIB="../xgks/src/lib/libxgks.a" \
		LIB="-L/usr/X11R6/lib -lX11 -lm"

i486-linux:	
	${MAKE} gksm2ps \
		CC=gcc \
		CFLAGS="-m32 -I../xgks/port -I../xgks/src/lib -I../xgks/src/lib/gksm" \
		LDFLAGS= \
		GKLIB="../xgks/src/lib/libxgks.a" \
		LIB="-lX11 -lm"

i586:
	${MAKE} gksm2ps \
		CC=gcc \
		CFLAGS="-I/usr/lib/gcc-lib/i686-pc-cygwin/2.95.3-5/include/ 
			  -I/usr/include \
			  -I/usr/include/X11 \
			  -I../xgks/port -I../xgks/src/lib -I../xgks/src/lib/gksm" \
		LDFLAGS= \
		GKLIB="../xgks/src/lib/libxgks.a" \
		LIB="-L/usr/X11R6.4/lib -lX11 -lm"

x86_64-linux:	
	${MAKE} gksm2ps \
		CC=gcc \
		CFLAGS="-m64 -I../xgks/port -I../xgks/src/lib -I../xgks/src/lib/gksm" \
		LDFLAGS= \
		GKLIB="../xgks/src/lib/libxgks.a" \
		LIB="-lX11 -lm"

gksm2ps:
	$(CC) $(CFLAGS) $(LDFLAGS) -o gksm2ps gksm2ps.c xpreview.c \
	 resize_xgks_window.c set_background.c gksm.c batch_graphics.c \
	../ppl/tmapadds/ws_line_bundle.o \
	../ppl/tmapadds/restore_saved_line_colors.o \
	../ppl/tmapadds/query_xgks_wkstn.o \
	$(GKLIB) $(LIB)
	chmod +x gksm2ps

clean:
	rm -f *.o gksm2ps

=== external_functions/closest_in_list/Makefile ===
#
# Makefile for Ferret External Functions
#
# *sh* 2/26/00
#
#
# include platform specific macro definitions
#

include ../ef_utility/site_specific.mk
include ../ef_utility/platform_specific.mk.$(BUILDTYPE)

#
# Macros
#

.SUFFIXES: .so

#
# Rules
#

.F.so:
	$(F77) $(FFLAGS) -c $<
	$(LD) $(LD_DYN_FLAGS) $(SYSLIBS) $*.o -o $*.so

#
# Targets
#

all:	closest_in_zlist.so

debug:
	$(MAKE) "FFLAGS = $(FFLAGS) $(FFLAGS_DEBUG)" "CFLAGS = $(CFLAGS) $(CFLAGS_DEBUG)" all

install:
	cp *.so $(FER_LOCAL_EXTFCNS)

clean:
	-rm -f *.o *.so

#
# End of Makefile
#

=== external_functions/cmprsi_by/Makefile ===
#
# Makefile for Ferret External Functions
#
# *sh* 12/27/00
# *sh* 1/02 -- updated to add expndi_by
# *sh* 2/02 -- updated to add expndi_by_z
# *acm*2/02 -- cmprsi_by has been replaced by family of compress_by 
#              functions, which are internally linked.
#
#
# include platform specific macro definitions
#

include ../ef_utility/site_specific.mk
include ../ef_utility/platform_specific.mk.$(BUILDTYPE)

#
# Macros
#

.SUFFIXES: .so

#
# Rules
#

.F.so:
	$(F77) $(FFLAGS) -c $<
	$(LD) $(LD_DYN_FLAGS) $(SYSLIBS) $*.o -o $*.so

#
# Targets
#

# all:	expndi_by.so expndi_by_z.so expndi_by_t.so cmprsi_by.so expndi_by_z_counts.so 
all:	

debug:
	$(MAKE) "FFLAGS = $(FFLAGS) $(FFLAGS_DEBUG)" "CFLAGS = $(CFLAGS) $(CFLAGS_DEBUG)" all

install:
	cp *.so $(FER_LOCAL_EXTFCNS)

clean:
	-rm -f *.o *.so

#
# End of Makefile
#

=== external_functions/decimate/Makefile ===
#
# Makefile for Ferret External Functions
#
#
# include platform specific macro definitions
#
include ../ef_utility/site_specific.mk
include ../ef_utility/platform_specific.mk.$(BUILDTYPE)
 
#
# Macros
#

.SUFFIXES: .so

#
# Rules
#

.F.so:
	$(F77) $(FFLAGS) -c  $<
	$(LD) $(LD_DYN_FLAGS) $(SYSLIBS) $*.o -o $*.so

#
# Targets
#

all:	piecewise.so piecewise3.so piecewise3_z.so separate.so sample_fast_i.so sample_rows.so apply_qc.so

debug:
	$(MAKE) "FFLAGS = $(FFLAGS) -g -Ddebug" "CFLAGS = $(CFLAGS) -g -Ddebug"  all

install:
	cp *.so $(FER_LOCAL_EXTFCNS)

clean:
	-rm -f *.o *.so

#
# End of Makefile
#

=== external_functions/eof/Makefile ===
#
# Makefile for Ferret External Functions
#
# January 20 1998
# Jonathan Callahan
#
#  15-Nov-1999 Ansley Manke  
#  remove refs to ef_utility/*.o  (now in ferret executable)
#
#  ACM  2/2001  debug macros
#  ACM  Jul 2001 Move to statically linked code in fer/efi.  name functions
#                eofspace, eofstat, eoftfunc; with same code as in fer/efi,
#                but with different INCLUDE statements for use in testing
#                as dynamically-linked functions.
#
# include platform specific macro definitions
#

include ../ef_utility/site_specific.mk
include ../ef_utility/platform_specific.mk.$(BUILDTYPE)

#
# Macros
#

.SUFFIXES: .so

SUB_OBJS = eofsubs.o 

#
# Rules
#

#   once eof_space etc are linked into Ferret dont need SUB_OBJS

.F.so:
	$(F77) $(FFLAGS) -c $<
	$(LD) $(LD_DYN_FLAGS) $*.o -o $*.so 

#
# Targets
#

# all:	eofsubs.o eoft.so eof_space.so eof_tfunc.so eof_stat.so
all:	eofsvd_space.so eof_space_fix.so eof_tfunc_fix.so eof_stat_fix.so

debug:
	$(MAKE) "FFLAGS = $(FFLAGS) $(FFLAGS_DEBUG)" "CFLAGS = $(CFLAGS) $(CFLAGS_DEBUG)" all

install:
	cp *.so $(FER_LOCAL_EXTFCNS)

clean:
	-rm -f *.o *.so

#
# End of Makefile
#

=== external_functions/romea/Makefile ===
#
# Makefile for Ferret External Functions
#
# January 20 1998
# Jonathan Callahan
#
#  15-Nov-1999 Ansley Manke  
#  remove refs to ef_utility/*.o  (now in ferret executable)
#  ACM  2/2001  debug macros
#
# include platform specific macro definitions
#

include ../ef_utility/site_specific.mk
include ../ef_utility/platform_specific.mk.$(BUILDTYPE)

#
# Macros
#

.SUFFIXES: .so

SUB_OBJS = rr_density.o 

#
# Rules
#

.F.so:
	$(F77) $(FFLAGS) -c $<
	$(LD) $(LD_DYN_FLAGS) $(SYSLIBS) $(SUB_OBJS) $*.o -o $*.so
 
#
# Targets
#

all:	rr_density.o ffta_2.so ffta_3.so ffta_sample.so fftabst.so rr_adv_sx.so rr_adv_sy.so rr_adv_sz.so rr_adv_tx.so rr_adv_ty.so rr_adv_tz.so rr_adv_umetric.so rr_adv_ux.so rr_adv_uy.so rr_adv_uz.so rr_adv_vmetric.so rr_adv_vx.so rr_adv_vy.so rr_adv_vz.so rr_av.so rr_cross_spectrum.so rr_cross_spectrum_abs.so rr_diff_sx.so rr_diff_sy.so rr_diff_sz.so rr_diff_tx.so rr_diff_ty.so rr_diff_tz.so rr_diff_umetric.so rr_diff_ux.so rr_diff_uy.so rr_diff_uz.so rr_diff_vmetric.so rr_diff_vx.so rr_diff_vy.so rr_diff_vz.so rr_dsdt.so rr_dtdt.so rr_dudt.so rr_dvdt.so rr_flux_sx.so rr_flux_sy.so rr_flux_sz.so rr_flux_tx.so rr_flux_ty.so rr_flux_tz.so rr_flux_ux.so rr_flux_uy.so rr_flux_uz.so rr_flux_vx.so rr_flux_vy.so rr_flux_vz.so rr_fv.so rr_geopotential_height.so rr_grad_pbc_u.so rr_grad_pbc_v.so rr_grad_ps_u.so rr_grad_ps_v.so rr_taux.so rr_tauy.so rr_uux_qiao.so rr_vuy_qiao.so rr_w_qiao.so rr_wuz_qiao.so 

debug:
	$(MAKE) "FFLAGS = $(FFLAGS) $(FFLAGS_DEBUG)" "CFLAGS = $(CFLAGS) $(CFLAGS_DEBUG)" all

install:
	cp *.so $(FER_LOCAL_EXTFCNS)

clean:
	-rm -f *.o *.so

#
# End of Makefile
#

=== external_functions/zaxr/Makefile ===
#
# Makefile for Ferret External Functions
#
# January 20 1998
# Jonathan Callahan
#
#  15-Nov-1999 Ansley Manke  
#  remove refs to ef_utility/*.o  (now in ferret executable)
#
#  ACM 2/2001  debug macros 
#
# include platform specific macro definitions
#

include ../ef_utility/site_specific.mk
include ../ef_utility/platform_specific.mk.$(BUILDTYPE)

#
# Macros
#

.SUFFIXES: .so

#
# Rules
#

.F.so:
	$(F77) $(FFLAGS) -c $<
	$(LD) $(LD_DYN_FLAGS) $*.o -o $*.so 

#
# Targets
#

# all:	zaxreplace_avg.so zaxreplace_bin.so zaxreplace_lin.so zaxreplace_zlev.so zaxreplace_rev.so
all:	zaxreplace_xyt.so zaxreplace_lin.so 

debug:
	$(MAKE) "FFLAGS = $(FFLAGS) $(FFLAGS_DEBUG)" "CFLAGS = $(CFLAGS) $(CFLAGS_DEBUG)" all

install:
	cp *.so $(FER_LOCAL_EXTFCNS)

clean:
	-rm -f *.o *.so

#
# End of Makefile
#

=== fer/special/Makefile ===
#
# include platform specific definitions of:
#       CC, FC, RANLIB, CFLAGS, FFLAGS, PPLUS_FFLAGS
#

include ../../site_specific.mk
include ../../platform_specific.mk.$(BUILDTYPE)
include ./SOURCE_FILES

#
# Macros
#

OBJS = $(SRCS_C:.c=.o) $(SRCS_F:.F=.o)


#
# Targets
#

all:	$(OBJS)

clean:
	rm -f *.o

#
# End of Makefile
#

=== ppl/tmapadds/Makefile ===
#
# include platform specific definitions of:
#       CC, FC, RANLIB, CFLAGS, FFLAGS, PPLUS_FFLAGS
#

include ../../site_specific.mk
include ../../platform_specific.mk.$(BUILDTYPE)
include ./SOURCE_FILES

#
# Macros
#

OBJS = $(SRCS_C:.c=.o) $(SRCS_F:.F=.o)

# change the standard rules for .F -> .o builds so $(PPLUS_FFLAGS) is used

#%.o : %.F
#	rm -f $*.f
#	$(CPP) -P -traditional $(CPP_FLAGS) $(<F) | sed -e 's/de    /de /g' | sed -e 's/de         /de /g' > $*.f
#	$(F77) $(PPLUS_FFLAGS) -c $*.f	 

# Directly compile the .F source files to the .o object files
# since gfortran can handle the C compiler directives in Fortran code
%.o : %.F
	$(FC) $(PPLUS_FFLAGS) -c $*.F -o $*.o


#
# Targets
#

all:	$(OBJS)

clean:
	rm -f *.o

#
# End of Makefile
#

=== debian/changelog ===
ferret-vis (6.9-2) unstable; urgency=medium

  * Fix emacs startup support and ferret.el
  * Fix bashisms. Closes: #772256

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 07 Dec 2014 11:05:34 +0000

ferret-vis (6.9-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version: 3.9.6
  * DH_COMPAT is now 9.
  * Add B-D, dependency on java-common for LAS server; install
    threddsBrowser jar files for thredds later.
  * Add ferret.el ; emcacsen startup
  * Add MIME support for jnl files.
  * Add hardening.
  * Add desktop file, icon.

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 21 Sep 2014 10:59:10 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: utils
 Priority: extra
 Maintainer: Alastair McKinstry <mckinstry@debian.org>
-Build-Depends: debhelper (>= 9), libreadline-dev, libcurl4-openssl-dev | libcurl-dev, libxgks-dev, libncurses-dev, libmotif-dev, gfortran, libnetcdf-dev, libxmu-headers, csh, libxpm-dev, libxt-dev
-Standards-Version: 3.9.4
+Build-Depends: debhelper (>= 9), libreadline-dev, libcurl4-openssl-dev | libcurl-dev, libxgks-dev, libncurses-dev, libmotif-dev, gfortran, libnetcdf-dev, libxmu-headers, csh, libxpm-dev, libxt-dev, java-common, openjdk-7-jdk
+Standards-Version: 3.9.6
 Homepage: http://www.ferret.noaa.gov/
 
 Package: ferret-vis

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# magic debhelper rule
%:
	dh $@

FER_EXT:=$(CURDIR)/debian/ferret-vis/usr/lib/ferret-vis/external_functions
ARCH:=$(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
LIBDIR:=/usr/lib/${ARCH}
INSTALLDIR:=$(CURDIR)/debian/tmp

override_dh_auto_build:
	sed -e 's%@ARCH@%${ARCH}%' \
		-e 's%@LIBDIR@%${LIBDIR}%' \
		-e 's%@INSTALLDIR@%${INSTALLDIR}%' \
		< debian/site_specific.mk.in > site_specific.mk
	cp debian/platform_specific.mk.debian .
	cp site_specific.mk platform_specific.mk.debian  external_functions/ef_utility
	$(MAKE) -C fer HOSTTYPE=debian update all
	-$(MAKE) -C external_functions HOSTTYPE=debian
	$(MAKE) -C gksm2ps debian
	$(MAKE) -C threddsBrowser

override_dh_install:
	dh_installdirs
	mkdir -p  $(FER_EXT)
	-$(MAKE) -C external_functions install HOSTTYPE=debian \
		FER_LOCAL_EXTFCNS=$(FER_EXT) FER_DIR=$(CURDIR)/debian/tmp
	dh_install
	# Drop extension
	mv debian/ferret-vis/usr/bin/Fpatch.csh debian/ferret-vis/usr/bin/Fpatch

override_dh_test:
	(cd bench && ./run_all )

override_dh_auto_clean:
	# use system xpm.h, not supplied ones
	rm -f fer/gui/xpm*.h
	find . -type l  -exec rm {} \;
	find . -name '*.o' -exec rm {} \;
	find . -name '*.so' -exec rm {} \;
	find external_functions -type l -exec rm {} \;
	[ ! -f gksm2ps/Makefile ] || $(MAKE) -C gksm2ps clean
	[ ! -f fer/platform_specific_flags.mk.debian ]  || $(MAKE) -C fer clean HOSTTYPE=debian 
	rm -rf lib gksm2ps/gksm2ps fer/ferret_c*
